> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.simplified.com/api-reference/project-manager/tasks/clone-task/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.simplified.com/_mcp/server. # PM · Tasks · Clone a task, choosing which fields to copy POST https://api.simplified.com/api/v1/pm/tasks/{task_id}/clone Content-Type: application/json Clone a task, copying the fields listed in the `fields` array. Common fields to copy: `title`, `description`, `rich_description`, `assignees`, `tags`, `attachments`, `subtasks`, `priority`, `start_date`, `due_date`, `checklist`. Optionally redirect the clone to a different status (column) via `status`. Returns `{detail_url, task}` — the cloned task object with expand=tags,attachments,subtasks. Reference: https://docs.simplified.com/api-reference/project-manager/tasks/clone-task ## Authentication - `Authorization` header (required) (prefixed with ` Api-Key `) — Header authentication of the form `Api-Key ` - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `task_id` (string, required) ### Headers - `Organization` (string, optional) — Workspace (organization) ID the request is scoped to. - `Space` (string, optional) — Optional sub-space ID for further scoping inside the workspace. ### Body (application/json) This endpoint expects a TaskCloneRequest. - `fields` (list of string, required) — Subset of fields to copy. Common values: `title`, `description`, `rich_description`, `assignees`, `attachments`, `subtasks`, `tags`, `priority`, `start_date`, `due_date`, `checklist`. - `title` (string, optional) - `status` (string, optional) — Target status UUID. Defaults to the source status. ## Response ### 200 Cloned task. - `any` ## Examples **Request** ```json { "fields": [ "string" ] } ``` **SDK Code** ```python import requests url = "https://api.simplified.com/api/v1/pm/tasks/task_id/clone" payload = { "fields": ["string"] } headers = { "Authorization": "Api-Key ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.simplified.com/api/v1/pm/tasks/task_id/clone'; const options = { method: 'POST', headers: {Authorization: 'Api-Key ', 'Content-Type': 'application/json'}, body: '{"fields":["string"]}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.simplified.com/api/v1/pm/tasks/task_id/clone" payload := strings.NewReader("{\n \"fields\": [\n \"string\"\n ]\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Api-Key ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.simplified.com/api/v1/pm/tasks/task_id/clone") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Api-Key ' request["Content-Type"] = 'application/json' request.body = "{\n \"fields\": [\n \"string\"\n ]\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.simplified.com/api/v1/pm/tasks/task_id/clone") .header("Authorization", "Api-Key ") .header("Content-Type", "application/json") .body("{\n \"fields\": [\n \"string\"\n ]\n}") .asString(); ``` ```php request('POST', 'https://api.simplified.com/api/v1/pm/tasks/task_id/clone', [ 'body' => '{ "fields": [ "string" ] }', 'headers' => [ 'Authorization' => 'Api-Key ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.simplified.com/api/v1/pm/tasks/task_id/clone"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Api-Key "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"fields\": [\n \"string\"\n ]\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Api-Key ", "Content-Type": "application/json" ] let parameters = ["fields": ["string"]] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.simplified.com/api/v1/pm/tasks/task_id/clone")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```